<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">

	<xsd:element name="RESOLUTIONS_PARAMS" type="ResolutionsContent"/>
	<xsd:element name="SET_RESOLUTIONS_PARAMS" type="SetResolutionsContent"/>

	<xsd:element name="CONFIGURATION_TYPE" type="ResolutionConfigurationType"/>
	<xsd:element name="CP_MAX_RESOLUTION" type="ResolutionType"/>
	<xsd:element name="SHARPNESS_RESOLUTIONS" type="ResolutionsSetContent"/>
	<xsd:element name="MOTION_RESOLUTIONS" type="ResolutionsSetContent"/>
	<xsd:element name="SHARPNESS_HIGH_PROFILE_RESOLUTIONS" type="ResolutionsSetContent"/>
	<xsd:element name="MOTION_HIGH_PROFILE_RESOLUTIONS" type="ResolutionsSetContent"/>
	<xsd:element name="SET_SHARPNESS_RESOLUTIONS" type="SetResolutionsSetContent"/>
	<xsd:element name="SET_MOTION_RESOLUTIONS" type="SetResolutionsSetContent"/>
	<xsd:element name="SET_SHARPNESS_HIGH_PROFILE_RESOLUTIONS" type="SetResolutionsSetContent"/>
	<xsd:element name="SET_MOTION_HIGH_PROFILE_RESOLUTIONS" type="SetResolutionsSetContent"/>

	<xsd:element name="RESOLUTION_SLIDER_PARAMS_LIST" type="ResolutionsSliderParamsListContent"/>
	<xsd:element name="RESOLUTION_SLIDER_PARAMS" type="ResolutionsSliderParamsContent"/>

	<xsd:element name="RESOLUTION_SLIDER_SHORT_PARAMS_LIST" type="ResolutionsSliderShortParamsListContent"/>
	<xsd:element name="RESOLUTION_SLIDER_SHORT_PARAMS" type="ResolutionsSliderShortParamsContent"/>

	<xsd:element name="RESOLUTION_TYPE" type="ResolutionType"/>
	<xsd:element name="RESOURCE_UNITS" type="xsd:int"/>
	<xsd:element name="MINIMAL_RESOLUTION_RATE" type="ResolutionTransferRateType"/>
    <xsd:element name="BALANCED_MODE_RATE" type="ResolutionTransferRateType"/>
    <xsd:element name="RESOURCE_OPTIMIZED_MODE_RATE" type="ResolutionTransferRateType"/>
    <xsd:element name="USER_OPTIMIZED_MODE_RATE" type="ResolutionTransferRateType"/>
    <xsd:element name="HIGH_PROFILE_OPTIMIZED_MODE_RATE" type="ResolutionTransferRateType"/>
	
	
	<xsd:simpleType name="ResolutionConfigurationType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="balanced"/>
			<xsd:enumeration value="resource_optimized"/>
			<xsd:enumeration value="user_exp_optimized"/>
			<xsd:enumeration value="high_profile_optimized"/>
			<xsd:enumeration value="manual"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="ResolutionType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="cif30"/>
			<xsd:enumeration value="cif60"/>
			<xsd:enumeration value="wcif"/>
			<xsd:enumeration value="sd15"/>
			<xsd:enumeration value="sd30"/>
			<xsd:enumeration value="sd60"/>
			<xsd:enumeration value="hd720p30"/>
			<xsd:enumeration value="hd720p60"/>
			<xsd:enumeration value="hd1080p30"/>
			<xsd:enumeration value="hd1080p60"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:simpleType name="ResolutionTransferRateType">
		<xsd:restriction base="xsd:string">
			<xsd:enumeration value="64"/>
			<xsd:enumeration value="96"/>
			<xsd:enumeration value="128"/>
			<xsd:enumeration value="192"/>
			<xsd:enumeration value="256"/>
			<xsd:enumeration value="320"/>
			<xsd:enumeration value="384"/>
			<xsd:enumeration value="512"/>
			<xsd:enumeration value="768"/>
			<xsd:enumeration value="832"/>
			<xsd:enumeration value="1024"/>
			<xsd:enumeration value="1152"/>
			<xsd:enumeration value="1280"/>
			<xsd:enumeration value="1472"/>
			<xsd:enumeration value="1536"/>
			<xsd:enumeration value="1728"/>
			<xsd:enumeration value="1920"/>
			<xsd:enumeration value="2048"/>
			<xsd:enumeration value="2560"/>
			<xsd:enumeration value="3072"/>
			<xsd:enumeration value="4096"/>
			<xsd:enumeration value="6144"/>
			<xsd:enumeration value="8192"/>
		</xsd:restriction>
	</xsd:simpleType>

	<xsd:complexType name="ResolutionsSliderParamsContent">
		<xsd:sequence>
			<xsd:element ref="RESOLUTION_TYPE"/>
			<xsd:element ref="RESOURCE_UNITS"/>
			<xsd:element ref="MINIMAL_RESOLUTION_RATE"/>
			<xsd:element ref="BALANCED_MODE_RATE"/>
			<xsd:element ref="RESOURCE_OPTIMIZED_MODE_RATE"/>
			<xsd:element ref="USER_OPTIMIZED_MODE_RATE"/>
			<xsd:element ref="HIGH_PROFILE_OPTIMIZED_MODE_RATE"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ResolutionsSliderParamsListContent">
		<xsd:sequence>
			<xsd:element ref="RESOLUTION_SLIDER_PARAMS" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ResolutionsSetContent">
		<xsd:sequence>
			<xsd:element ref="RESOLUTION_SLIDER_PARAMS_LIST"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ResolutionsContent">
		<xsd:sequence>
			<xsd:element ref="CP_MAX_RESOLUTION"/>
			<xsd:element ref="CONFIGURATION_TYPE"/>
			<xsd:element ref="SHARPNESS_RESOLUTIONS"/>
			<xsd:element ref="MOTION_RESOLUTIONS"/>
			<xsd:element ref="SHARPNESS_HIGH_PROFILE_RESOLUTIONS"/>
			<xsd:element ref="MOTION_HIGH_PROFILE_RESOLUTIONS"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ResolutionsSliderShortParamsContent">
		<xsd:sequence>
			<xsd:element ref="RESOLUTION_TYPE"/>
			<xsd:element ref="MINIMAL_RESOLUTION_RATE"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="ResolutionsSliderShortParamsListContent">
		<xsd:sequence>
			<xsd:element ref="RESOLUTION_SLIDER_SHORT_PARAMS" minOccurs="0" maxOccurs="unbounded"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="SetResolutionsSetContent">
		<xsd:sequence>
			<xsd:element ref="RESOLUTION_SLIDER_SHORT_PARAMS_LIST"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="SetResolutionsContent">
		<xsd:sequence>
			<xsd:element ref="CP_MAX_RESOLUTION"/>
			<xsd:element ref="CONFIGURATION_TYPE"/>
			<xsd:element ref="SET_SHARPNESS_RESOLUTIONS"/>
			<xsd:element ref="SET_MOTION_RESOLUTIONS"/>
			<xsd:element ref="SET_SHARPNESS_HIGH_PROFILE_RESOLUTIONS"/>
			<xsd:element ref="SET_MOTION_HIGH_PROFILE_RESOLUTIONS"/>
			<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
		</xsd:sequence>
	</xsd:complexType>


</xsd:schema>

